export class Constant {
  // 本地存储TOKEN的key
  static readonly LOCALE_TOKEN_TOKEN_KEY = 'ACCESS-TOKEN'
  // 请求后端时，消息头携带accessToken的key
  static readonly ACCESS_TOKEN_HEADER_KEY: string = 'Authorization'
  // 请求后端时，消息头携带refreshToken的key
  static readonly REFRESH_TOKEN_HEADER_KEY: string = 'X-Authorization'
  // token的前缀
  static readonly TOKEN_PREFIX = 'Bearer '

  // 系统LOGO uri
  static readonly  SYSTEM_LOGO_URI: string = import.meta.env.VITE_SYSTEM_LOGO_URI
  // 系统中文名
  static readonly SYSTEM_CN_NAME: string = import.meta.env.VITE_SYSTEM_CN_NAME
  // 系统英文名
  static readonly SYSTEM_EN_NAME: string = import.meta.env.VITE_SYSTEM_EN_NAME
  // 加密时用的KEY
  static readonly SECRET_KEY: string = 'MORE.BEISE'
}
